
Application: gvSIG desktop - gvSIG bugs #4726
Can't sort attribute table of a geojson layer
10/30/2017 10:47 AM - Antonio Falciano

Status: Closed % Done: 0%
Priority: Normal Spent time: 0.00 hour
Assignee:
Category: Document table
Target version:
Severity: Minor Add-on version:
gvSIG version: 2.4.0 Add-on build:
gvSIG build: Add-on resolve version:
Operative System: Add-on resolve build:
Keywords: Proyecto:
Has patch: Hito:
Add-on name: Unknown
Description

The attribute table of geojson layers can't be ordered by a field. This is an extract from the gvsig.log:

WARN 693392 AWT-EventQueue-0 org.gvsig.gdal.prov.ogr.OGRFetureSetProvider - The result of query is null. SQL SELECT
"objectid_1","regione","tipo","codice_ist","cod_region","AREA","ogr_geometry" FROM "OGRGeoJSON" ORDER BY "AREA"
ASC  FeatureType default:[objectid_1,regione,tipo,codice_ist,cod_region,AREA,ogr_geometry]
WARN 693392 AWT-EventQueue-0 org.gvsig.gdal.prov.ogr.OGRFetureSetProvider - Getting data without SQL filter

History
#1 - 12/20/2017 09:50 AM - Joaquín  del Cerro Murciano
- Target version changed from 2.4.0-2850-final (rev. org.gvsig.desktop-2.0.220) to 2.5.1-3044

#2 - 02/04/2019 06:52 PM - Álvaro Anguix
- Category set to Document table

#3 - 03/04/2020 11:58 AM - Álvaro Anguix
- Target version deleted (2.5.1-3044)
- File stations.geojson added

añado un geojson de ejemplo

#4 - 08/04/2023 10:56 AM - Álvaro Anguix
- Status changed from New to Closed

en 3325 no se produce el error

Files
stations.geojson 60.2 KB 03/04/2020 Álvaro Anguix
